summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-10 13:39:12 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-10 13:39:12 +0000
commit1f81933683efd5b2bf82ee88eaa0be9bd0b58330 (patch)
tree11c3ab6af7782c04d26566116fc8d4f6453d28be /dev-python
parentc4a445bb27dec293afdaa6aef479b3ad3880dc48 (diff)
downloadbaldeagleos-repo-1f81933683efd5b2bf82ee88eaa0be9bd0b58330.tar.gz
baldeagleos-repo-1f81933683efd5b2bf82ee88eaa0be9bd0b58330.tar.xz
baldeagleos-repo-1f81933683efd5b2bf82ee88eaa0be9bd0b58330.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/anyio/Manifest1
-rw-r--r--dev-python/anyio/anyio-3.1.0.ebuild42
-rw-r--r--dev-python/anyio/metadata.xml31
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.91.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.20.91.ebuild59
-rw-r--r--dev-python/future/files/future-0.18.2-py39-fileurl.patch22
-rw-r--r--dev-python/future/future-0.18.2-r1.ebuild12
-rw-r--r--dev-python/hypothesis/hypothesis-6.10.1-r1.ebuild (renamed from dev-python/hypothesis/hypothesis-6.10.1.ebuild)2
-rw-r--r--dev-python/hypothesis/hypothesis-6.13.14-r1.ebuild (renamed from dev-python/hypothesis/hypothesis-6.13.14.ebuild)2
-rw-r--r--dev-python/hypothesis/hypothesis-6.14.0-r1.ebuild (renamed from dev-python/hypothesis/hypothesis-6.14.0.ebuild)2
-rw-r--r--dev-python/jupyter_packaging/Manifest1
-rw-r--r--dev-python/jupyter_packaging/jupyter_packaging-0.10.2.ebuild42
-rw-r--r--dev-python/jupyter_packaging/metadata.xml14
-rw-r--r--dev-python/jupyter_server/Manifest1
-rw-r--r--dev-python/jupyter_server/jupyter_server-1.8.0.ebuild57
-rw-r--r--dev-python/jupyter_server/metadata.xml14
-rw-r--r--dev-python/jupyter_server_mathjax/Manifest1
-rw-r--r--dev-python/jupyter_server_mathjax/jupyter_server_mathjax-0.2.3.ebuild24
-rw-r--r--dev-python/jupyter_server_mathjax/metadata.xml14
-rw-r--r--dev-python/nbdime/Manifest1
-rw-r--r--dev-python/nbdime/nbdime-3.1.0.ebuild78
-rw-r--r--dev-python/setuptools/setuptools-57.0.0.ebuild8
-rw-r--r--dev-python/tomlkit/Manifest1
-rw-r--r--dev-python/tomlkit/metadata.xml14
-rw-r--r--dev-python/tomlkit/tomlkit-0.7.2.ebuild18
-rw-r--r--dev-python/websocket-client/Manifest1
-rw-r--r--dev-python/websocket-client/websocket-client-1.1.0.ebuild33
29 files changed, 542 insertions, 11 deletions
diff --git a/dev-python/anyio/Manifest b/dev-python/anyio/Manifest
new file mode 100644
index 000000000000..d37dd4e27036
--- /dev/null
+++ b/dev-python/anyio/Manifest
@@ -0,0 +1 @@
+DIST anyio-3.1.0.tar.gz 122097 BLAKE2B 4a16a5d231cc5262dd4138f628b9d210180733bda4b9e81ced0c0e0c7f49e1760c8dd22db0a1db3b7a21f3210072f4e1c543e52a7dc716ad3f0415827da48e38 SHA512 120d8e3e24f542c06caedd0a67d16b3fb69c94f5feaebde5262e54f8ffba3f1cf927c82030d65fa2efb3479ee64abd968b6ce67aee767ea33ccef6b0e3fbd358
diff --git a/dev-python/anyio/anyio-3.1.0.ebuild b/dev-python/anyio/anyio-3.1.0.ebuild
new file mode 100644
index 000000000000..44140002b275
--- /dev/null
+++ b/dev-python/anyio/anyio-3.1.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Compatibility layer for multiple asynchronous event loop implementations"
+HOMEPAGE="
+ https://github.com/agronholm/anyio
+ https://pypi.org/project/anyio/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# This will pull in dev-python/trio and a whole bunch of other new things
+# And trio does not yet have a release compatible with python3.9.
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-python/idna-2.8[${PYTHON_USEDEP}]
+ >=dev-python/sniffio-1.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/hypothesis-4.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.6.1[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ >=dev-python/uvloop-0.15[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme \
+ dev-python/sphinx-autodoc-typehints
diff --git a/dev-python/anyio/metadata.xml b/dev-python/anyio/metadata.xml
new file mode 100644
index 000000000000..c2389bf60e71
--- /dev/null
+++ b/dev-python/anyio/metadata.xml
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription lang="en">
+AnyIO is a asynchronous compatibility API that allows applications and libraries written against it to run unmodified on asyncio, curio and trio.
+
+It bridges the following functionality:
+
+Task groups
+Cancellation
+Threads
+Signal handling
+Asynchronous file I/O
+Subprocesses
+Inter-task synchronization and communication (locks, conditions, events, semaphores, object streams)
+High level networking (TCP, UDP and UNIX sockets)
+You can even use it together with native libraries from your selected backend in applications. Doing this in libraries is not advisable however since it limits the usefulness of your library.
+
+AnyIO comes with its own pytest plugin which also supports asynchronous fixtures. It even works with the popular Hypothesis library.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">agronholm/anyio</remote-id>
+ <remote-id type="pypi">anyio</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 14fe92b58b05..768763ed75bc 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -12,3 +12,4 @@ DIST boto3-1.17.87.tar.gz 378759 BLAKE2B 21ad4c735f34edbd82767043653ed0cee9604f0
DIST boto3-1.17.88.tar.gz 379248 BLAKE2B 1aa238efaf5a22594b90903e1090f4f66a04effe93c3506ad36e0a96aa607eef9506f6fc579981a919b0f55ab1ba7a5d7e02a22a3d2692a9442f143a63f1b282 SHA512 989f8f879bdcded758f7b0be93e9355f91be859de7f2eabc7760cb8ad6e3317fa999cc5c092aac53bb2645ea0a86d0a6ceb03237b5164b89850b8c34d3eebdb5
DIST boto3-1.17.89.tar.gz 379572 BLAKE2B 8a067aa757974cc3399de29173a6fcf99d35196c64978bd0cdb4e85f6e50558c9584722fab3402f3b3a2f951b3cd801aada17ce70bceab4f215f1b91dffd6372 SHA512 6bae209eda16ee07b142fe56740a5e177378b88e66b0e5c6aac99748c59b34f28f0c78d863d5a76b9efeda6413c4e6aab94d3c9ee87fbc5ae7d9c8bf02b5fb3f
DIST boto3-1.17.90.tar.gz 379938 BLAKE2B 72392968678576505a4c80f62ca0b3f7cf086a7c739a918b6d39d7c8b05a2a1b9648d7028126bb6c2893da44bc9bd5367089beb12a187d48c09712f2b6d7a95a SHA512 75f2d02c1256a2a60a4f87d774d5a339e556180482419c21774ec41a5980fd0149e7d66f52cb408035b394550bbbdcb2710de1fd6f948cccd91064e5d94f20ca
+DIST boto3-1.17.91.tar.gz 380247 BLAKE2B 8017241fce7337ed88f8da35ad914081d7b4a83c7ad78c6b1aea1408909f438c4b86c64501b5aa5c8522476bb9962ed94089b51ed89794062e7d937dbe0063b5 SHA512 d8a083911cfb930e7a7b1fe587fd33f7cf9a523683685e4929b63a8dde8502178d44091c6b8885a40052f03e7b8fd6a48e332ff5cff3a12fa7290d922eff9fe0
diff --git a/dev-python/boto3/boto3-1.17.91.ebuild b/dev-python/boto3/boto3-1.17.91.ebuild
new file mode 100644
index 000000000000..76a508785b03
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.91.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 65ba9e3110e0..a533df2715a6 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -12,3 +12,4 @@ DIST botocore-1.20.87.tar.gz 7800088 BLAKE2B ba98b0f910216a340f48adb5ddf14aa9239
DIST botocore-1.20.88.tar.gz 7806185 BLAKE2B 21c3e3420fc9810712a462cfab4f43509ebd25a4cbaee4a51f2d82cc90a530c4a170b66cb6551121148d284404427eca7d9dd979ead5a9f4132ded47b4adf180 SHA512 aa36c39147d870758b9561e569f6b8a616e69437d775b1f68d522574a24f0e8252e5332d6e20b92448bc3189ec50232d89134bf86d12a3b72d63962de0d9cda6
DIST botocore-1.20.89.tar.gz 7808318 BLAKE2B cc160b85d7e85267aa4bd7140c8f90b33dc07e5b8c0cf2cd4761ea456dfa955bd95b500e8da89bd9cca70237edcbd7df45c8f1d543e4e67646a8e597a5516fb5 SHA512 41fd7cf61b8eddb3e467d6d6b115c53e75413bdd3bb181723dd48c6efdd7133eee45ac597bf207482b2aa5872bf79d7801176194e474c61614599119df67db5a
DIST botocore-1.20.90.tar.gz 7810567 BLAKE2B f34ce1e4ed16254585a90e3ba1674a35909169a0a73a216e0b5d60609567133ce1257fc3b48a21e3c707b42db546612f40263e20fb68eba1e01cc3560ed5ef15 SHA512 4765abfe9913bb214d1c4aeacc00f5b5745322121bbb1e652705fbd63a9801476e513596078f833306834047f42b39edc9de31939f02860476fdb825f4b654b1
+DIST botocore-1.20.91.tar.gz 7822478 BLAKE2B d76b3a944f951a9722e59d28218e24eacbcc9282235df6adbbf9ac01b12dc96e446a7dbec06ab08433513a3f1dd1f39ac8db85c4aa3cfcd99348fa57e85b2246 SHA512 730b664b050db5df7c9f9f3ab89e7c7f541b0c921a0a6f38f4d0d7a4594f89b61929d5251799c2cf08bda1107567c636d036379b328db788178ae7af18157366
diff --git a/dev-python/botocore/botocore-1.20.91.ebuild b/dev-python/botocore/botocore-1.20.91.ebuild
new file mode 100644
index 000000000000..ca62b7dad65f
--- /dev/null
+++ b/dev-python/botocore/botocore-1.20.91.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/future/files/future-0.18.2-py39-fileurl.patch b/dev-python/future/files/future-0.18.2-py39-fileurl.patch
new file mode 100644
index 000000000000..71ed088edcb5
--- /dev/null
+++ b/dev-python/future/files/future-0.18.2-py39-fileurl.patch
@@ -0,0 +1,22 @@
+diff --git a/tests/test_future/test_urllib_toplevel.py b/tests/test_future/test_urllib_toplevel.py
+index 68bc4c9..923b2e8 100644
+--- a/tests/test_future/test_urllib_toplevel.py
++++ b/tests/test_future/test_urllib_toplevel.py
+@@ -120,7 +120,7 @@ class urlopen_FileTests(unittest.TestCase):
+ finally:
+ f.close()
+ self.pathname = support.TESTFN
+- self.returned_obj = urlopen("file:%s" % self.pathname)
++ self.returned_obj = urlopen("file:%s" % urllib_parse.quote(self.pathname))
+
+ def tearDown(self):
+ """Shut down the open object"""
+@@ -167,7 +167,7 @@ class urlopen_FileTests(unittest.TestCase):
+ self.assertIsInstance(self.returned_obj.info(), email_message.Message)
+
+ def test_geturl(self):
+- self.assertEqual(self.returned_obj.geturl(), self.pathname)
++ self.assertEqual(self.returned_obj.geturl(), urllib_parse.quote(self.pathname))
+
+ def test_getcode(self):
+ self.assertIsNone(self.returned_obj.getcode())
diff --git a/dev-python/future/future-0.18.2-r1.ebuild b/dev-python/future/future-0.18.2-r1.ebuild
index f8deb12bcf79..cea7fbef06cf 100644
--- a/dev-python/future/future-0.18.2-r1.ebuild
+++ b/dev-python/future/future-0.18.2-r1.ebuild
@@ -2,9 +2,8 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
inherit distutils-r1
DESCRIPTION="Easy, clean, reliable Python 2/3 compatibility"
@@ -16,8 +15,12 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux"
IUSE="doc"
-# TODO: restore numpy when python2.7 is gone
-#BDEPEND="test? ( dev-python/numpy[${PYTHON_USEDEP}] )"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/numpy[${PYTHON_USEDEP}]
+ ' 'python*')
+ )"
distutils_enable_tests pytest
distutils_enable_sphinx docs dev-python/sphinx-bootstrap-theme
@@ -25,6 +28,7 @@ distutils_enable_sphinx docs dev-python/sphinx-bootstrap-theme
PATCHES=(
"${FILESDIR}"/${P}-tests.patch
"${FILESDIR}"/${P}-py39.patch
+ "${FILESDIR}"/${P}-py39-fileurl.patch
)
python_prepare_all() {
diff --git a/dev-python/hypothesis/hypothesis-6.10.1.ebuild b/dev-python/hypothesis/hypothesis-6.10.1-r1.ebuild
index 467368492c90..8a8d38c8889d 100644
--- a/dev-python/hypothesis/hypothesis-6.10.1.ebuild
+++ b/dev-python/hypothesis/hypothesis-6.10.1-r1.ebuild
@@ -44,7 +44,7 @@ PATCHES=(
)
python_prepare() {
- if ! use cli || ! has "${EPYTHON}" python3_{7..9}; then
+ if ! use cli || ! has "${EPYTHON}" python3.{7..9}; then
sed -i -e '/console_scripts/d' setup.py || die
fi
}
diff --git a/dev-python/hypothesis/hypothesis-6.13.14.ebuild b/dev-python/hypothesis/hypothesis-6.13.14-r1.ebuild
index 3858e9c1e208..01270134d6dc 100644
--- a/dev-python/hypothesis/hypothesis-6.13.14.ebuild
+++ b/dev-python/hypothesis/hypothesis-6.13.14-r1.ebuild
@@ -41,7 +41,7 @@ BDEPEND="
distutils_enable_tests --install pytest
python_prepare() {
- if ! use cli || ! has "${EPYTHON}" python3_{7..9}; then
+ if ! use cli || ! has "${EPYTHON}" python3.{7..9}; then
sed -i -e '/console_scripts/d' setup.py || die
fi
}
diff --git a/dev-python/hypothesis/hypothesis-6.14.0.ebuild b/dev-python/hypothesis/hypothesis-6.14.0-r1.ebuild
index 3858e9c1e208..01270134d6dc 100644
--- a/dev-python/hypothesis/hypothesis-6.14.0.ebuild
+++ b/dev-python/hypothesis/hypothesis-6.14.0-r1.ebuild
@@ -41,7 +41,7 @@ BDEPEND="
distutils_enable_tests --install pytest
python_prepare() {
- if ! use cli || ! has "${EPYTHON}" python3_{7..9}; then
+ if ! use cli || ! has "${EPYTHON}" python3.{7..9}; then
sed -i -e '/console_scripts/d' setup.py || die
fi
}
diff --git a/dev-python/jupyter_packaging/Manifest b/dev-python/jupyter_packaging/Manifest
new file mode 100644
index 000000000000..70d35997c061
--- /dev/null
+++ b/dev-python/jupyter_packaging/Manifest
@@ -0,0 +1 @@
+DIST jupyter_packaging-0.10.2.tar.gz 21735 BLAKE2B 92de31e6835a2228f85b008b0fa3b3b8b5ebd175399fa82ee79d328f97b50c09a86dbc325e0378a7f946de34522d4af12fa5997507895ff6d85e77d4e7d38e3c SHA512 c1f5562b8fd72d64998d32d1a85dd1af2b730fa7e4a0d9e2036ea4d5a607ce02b1e9c641f01997ea3b0d6e047fa797009ce3c2ca52ef866ec9c7492ef836e679
diff --git a/dev-python/jupyter_packaging/jupyter_packaging-0.10.2.ebuild b/dev-python/jupyter_packaging/jupyter_packaging-0.10.2.ebuild
new file mode 100644
index 000000000000..d3b800f9e2f4
--- /dev/null
+++ b/dev-python/jupyter_packaging/jupyter_packaging-0.10.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Tools to help build and install Jupyter Python packages"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/tomlkit[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ dev-python/deprecation[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Skip the tests that try to install things or call pip
+ rm tests/test_build_api.py \
+ tests/test_datafiles_install.py \
+ tests/test_install.py || die
+ # Permission Denied (tries to write to site_packages)
+ sed -i -e 's/test_create_cmdclass/_&/' \
+ tests/test_deprecated.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/jupyter_packaging/metadata.xml b/dev-python/jupyter_packaging/metadata.xml
new file mode 100644
index 000000000000..ebb814e09e06
--- /dev/null
+++ b/dev-python/jupyter_packaging/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">jupyter-packaging</remote-id>
+ <remote-id type="github">jupyter/jupyter-packaging</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/jupyter_server/Manifest b/dev-python/jupyter_server/Manifest
new file mode 100644
index 000000000000..cddf518ea5ab
--- /dev/null
+++ b/dev-python/jupyter_server/Manifest
@@ -0,0 +1 @@
+DIST jupyter_server-1.8.0.tar.gz 408312 BLAKE2B db385085a1a660d707cc84570627e754dc19105af5157bc42e259822c9e98364ab77a9a16403d9b43757a6e175102632e83dd21466dff3487101771b51fdeb5f SHA512 3c4c9d64b7f0e26a79b38bc95106e062f1c363a13fc3b32c3897bbb15a7d91a64e46926b35c07f8c5bd440f55e3d01ec57c54c8b244969b6af7f7e18347030cd
diff --git a/dev-python/jupyter_server/jupyter_server-1.8.0.ebuild b/dev-python/jupyter_server/jupyter_server-1.8.0.ebuild
new file mode 100644
index 000000000000..eeb6d92b5918
--- /dev/null
+++ b/dev-python/jupyter_server/jupyter_server-1.8.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Core services, APIs, and REST endpoints to Jupyter web applications"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# This appears to require pytest-jupyter, but the GitHub repo for that package
+# is archived and it has been removed from pypi.
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/jinja[${PYTHON_USEDEP}]
+ >=www-servers/tornado-6.1[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+ dev-python/argon2-cffi[${PYTHON_USEDEP}]
+ dev-python/ipython_genutils[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.2.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_core-4.6.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-6.1.1[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ dev-python/nbconvert[${PYTHON_USEDEP}]
+ dev-python/send2trash[${PYTHON_USEDEP}]
+ >=dev-python/terminado-0.8.3[${PYTHON_USEDEP}]
+ dev-python/prometheus_client[${PYTHON_USEDEP}]
+ dev-python/anyio[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )"
+
+# TODO: Package 'myst_parser'
+# distutils_enable_sphinx docs/source \
+# dev-python/pydata-sphinx-theme
+distutils_enable_tests --install pytest
+
+python_prepare_all() {
+ # Defining 'pytest_plugins' in a non-top-level conftest is no longer supported:
+ rm jupyter_server/tests/conftest.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/jupyter_server/metadata.xml b/dev-python/jupyter_server/metadata.xml
new file mode 100644
index 000000000000..e49cdf5b88ed
--- /dev/null
+++ b/dev-python/jupyter_server/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">jupyter-server</remote-id>
+ <remote-id type="github">jupyter-server/jupyter_server</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/jupyter_server_mathjax/Manifest b/dev-python/jupyter_server_mathjax/Manifest
new file mode 100644
index 000000000000..076dfc92b90e
--- /dev/null
+++ b/dev-python/jupyter_server_mathjax/Manifest
@@ -0,0 +1 @@
+DIST jupyter_server_mathjax-0.2.3.tar.gz 2596615 BLAKE2B 23122a273d8fc7c2b0892897dae4e7faec920bd1996a73149bfa3e46e8b71ac4ab3756751a5b3c582b2603b1fdf214a6843c9a5e3d04f6f36a92d0d9625c6e0b SHA512 74a3b2896399f674ee482c7db33c00fa76d53210abf136964f306a2e1d2d81cbf773b63dab80d19ad436f3e7fa83b61ccbf66af5f747523b3bedea586779f0eb
diff --git a/dev-python/jupyter_server_mathjax/jupyter_server_mathjax-0.2.3.ebuild b/dev-python/jupyter_server_mathjax/jupyter_server_mathjax-0.2.3.ebuild
new file mode 100644
index 000000000000..8aa6dda49776
--- /dev/null
+++ b/dev-python/jupyter_server_mathjax/jupyter_server_mathjax-0.2.3.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="MathJax resources as a Jupyter Server Extension"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# TODO: package 'pytest_tornasync'
+RESTRICT="test"
+
+BDEPEND="dev-python/jupyter_packaging[${PYTHON_USEDEP}]"
+RDEPEND="dev-python/jupyter_server[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
diff --git a/dev-python/jupyter_server_mathjax/metadata.xml b/dev-python/jupyter_server_mathjax/metadata.xml
new file mode 100644
index 000000000000..883719a8eda1
--- /dev/null
+++ b/dev-python/jupyter_server_mathjax/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">jupyter-server-mathjax</remote-id>
+ <remote-id type="github">jupyter-server/jupyter_server_mathjax</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/nbdime/Manifest b/dev-python/nbdime/Manifest
index 5518da014d1b..8c8d213e2950 100644
--- a/dev-python/nbdime/Manifest
+++ b/dev-python/nbdime/Manifest
@@ -1 +1,2 @@
DIST nbdime-2.0.0.tar.gz 7768807 BLAKE2B a92ed166ae863185d06e4b3e667df4323b4cd9af9211999109186c1b559522f39ab235b710c7993515aa3c44a55ac3c4b90c424cdc28d04cc013a58add7d61cd SHA512 e68e69e37f6ece701ba8d6e59d8ee321ddaca78d9338e0c52f92b6942bfd3fbf0ec2407e9ae98cb820eb4c26509644a1770f249b815c53265dfdbffbe2b55142
+DIST nbdime-3.1.0.tar.gz 7508382 BLAKE2B 10ca59684df06e922afbba30d5419a20490508af8bb9d4f371b1a06db49df7b665195c9aec21c3a303b3fa0c60e5c0c1e57badaba27ac81599b311f9a5000244 SHA512 be19fc058a918cd2aad38a8f727504a01c7830dfaba7fbf06caa0a6799770824499a70f4efe1ebf0a82847dc79d84896baf9aa86d3e7cd16dd7163023fed3855
diff --git a/dev-python/nbdime/nbdime-3.1.0.ebuild b/dev-python/nbdime/nbdime-3.1.0.ebuild
new file mode 100644
index 000000000000..aaaa5981e8d1
--- /dev/null
+++ b/dev-python/nbdime/nbdime-3.1.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Diff and merge of Jupyter Notebooks"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="webtools"
+
+RDEPEND="
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/GitPython[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/jupyter_server[${PYTHON_USEDEP}]
+ dev-python/jupyter_server_mathjax[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ www-servers/tornado[${PYTHON_USEDEP}]
+ webtools? ( net-libs/nodejs[npm] )"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/notebook[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/tabulate[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx docs/source \
+ dev-python/recommonmark \
+ dev-python/sphinx_rtd_theme
+distutils_enable_tests --install pytest
+
+python_prepare_all() {
+ # yield tests were removed in pytest 4.0
+ sed -i -e 's/test_offline_mathjax/_&/' \
+ -e 's/test_api_merge/_&/' \
+ -e 's/test_fetch_merge/_&/' \
+ -e 's/test_api_diff/_&/' \
+ -e 's/test_fetch_diff/_&/' \
+ nbdime/tests/test_web.py || die
+ sed -i -e 's/test_git_difftool/_&/' \
+ nbdime/tests/test_server_extension.py || die
+ # reason: [NOTRUN] flaws in deep diffing of lists, not identifying almost equal sublists
+ sed -i -e 's/test_deep_merge_lists_delete_no_conflict__currently_expected_failures/_&/' \
+ nbdime/tests/test_merge.py || die
+ sed -i -e 's/test_diff_to_json_patch/_&/' \
+ nbdime/tests/test_diff_json_conversion.py || die
+ sed -i -e 's/test_build_diffs_unsorted/_&/' \
+ nbdime/tests/test_decision_tools.py || die
+ sed -i -e 's/test_merge_multiline_cell_source_conflict/_&/' \
+ -e 's/test_merge_interleave_cell_add_remove/_&/' \
+ -e 's/test_merge_conflicts_get_diff_indices_shifted/_&/' \
+ -e 's/test_merge_inserts_within_deleted_range/_&/' \
+ nbdime/tests/test_merge_notebooks.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ use webtools || mydistutilsargs=( --skip-npm )
+}
+
+src_test() {
+ # user.email and user.name are not configured in the sandbox
+ git config --global user.email "larry@gentoo.org" || die
+ git config --global user.name "Larry the Cow" || die
+ python_foreach_impl python_test
+}
diff --git a/dev-python/setuptools/setuptools-57.0.0.ebuild b/dev-python/setuptools/setuptools-57.0.0.ebuild
index dd468691ca32..414079fbf134 100644
--- a/dev-python/setuptools/setuptools-57.0.0.ebuild
+++ b/dev-python/setuptools/setuptools-57.0.0.ebuild
@@ -33,7 +33,7 @@ BDEPEND="
dev-python/pytest-xdist[${PYTHON_USEDEP}]
>=dev-python/virtualenv-20[${PYTHON_USEDEP}]
dev-python/wheel[${PYTHON_USEDEP}]
- ' python3_{7..9} pypy3)
+ ' python3_{7..10} pypy3)
)
"
PDEPEND="
@@ -46,10 +46,10 @@ DISTUTILS_IN_SOURCE_BUILD=1
DOCS=( {CHANGES,README}.rst )
python_test() {
- # temporarily skipped, until we port all test deps
- [[ ${EPYTHON} == python3.10 ]] && continue
+ # keep in sync with python_gen_cond_dep above!
+ has "${EPYTHON}" python3.{7..10} pypy3 || continue
- distutils_install_for_testing --via-root
+ distutils_install_for_testing
local deselect=(
# network
'setuptools/tests/test_virtualenv.py::test_pip_upgrade_from_source[None]'
diff --git a/dev-python/tomlkit/Manifest b/dev-python/tomlkit/Manifest
new file mode 100644
index 000000000000..9229d0898d57
--- /dev/null
+++ b/dev-python/tomlkit/Manifest
@@ -0,0 +1 @@
+DIST tomlkit-0.7.2.tar.gz 159643 BLAKE2B 6946cdc4c991671eb9e38cf836196a0dfdb7aba2697db95f3fcee58652d3c8ba96295df447b8145f0143447339834015abbd60928d7588c68ae31c298fd6d2d4 SHA512 cfb17d133463c22ae8b76dd03587f23f6dafedfd2decdf15ae29fe5c05117ebd3e17057f49bdb17345386f5ce3073b1e5b1937c6ab6683aefb0fc0abd7571580
diff --git a/dev-python/tomlkit/metadata.xml b/dev-python/tomlkit/metadata.xml
new file mode 100644
index 000000000000..b976b3402ca0
--- /dev/null
+++ b/dev-python/tomlkit/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">tomlkit</remote-id>
+ <remote-id type="github">sdispater/tomlkit</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/tomlkit/tomlkit-0.7.2.ebuild b/dev-python/tomlkit/tomlkit-0.7.2.ebuild
new file mode 100644
index 000000000000..d781ddb4b751
--- /dev/null
+++ b/dev-python/tomlkit/tomlkit-0.7.2.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Style preserving TOML library"
+HOMEPAGE="https://github.com/sdispater/tomlkit"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+distutils_enable_tests pytest
diff --git a/dev-python/websocket-client/Manifest b/dev-python/websocket-client/Manifest
index 9fb413204351..a1e085e2d9dd 100644
--- a/dev-python/websocket-client/Manifest
+++ b/dev-python/websocket-client/Manifest
@@ -1,2 +1,3 @@
DIST websocket-client-0.59.0.tar.gz 57897 BLAKE2B 9f15c563491bd105a1987281cc20c0ab80ed1625036eeaa674fd28334b8226b5f9660b150743649f6bc7717d4306cbb1778222f9caeeff29507ab364572ce2b5 SHA512 c7f4a0336093de86fd00828049a836477a3c859cc4bddebd9e7d31eb746dab4de8fa11205a5fb182e5df3590964aa73f279310575dfabc4abc32157e80df42b1
DIST websocket-client-1.0.1.tar.gz 58561 BLAKE2B 852693b08cec5d8345ee0cd38d87a93abfd5ac52a72a0715705ae4a7d5f810288d9409e920424a317867e7292568a9a67b4fde8b892e9ff3fa011cf31c016f35 SHA512 349ecf0f80859e146e6039a29b50f8bb9a377ad65655c49b354702a7895ebed4f8849d979f04b1632c7926e3dfb707ae5791a75b3e9c66d35ad1445040d651b3
+DIST websocket-client-1.1.0.tar.gz 58890 BLAKE2B b7557f0847ee4ec31279d98661f2370f32eff35de5ea6207abe4afa6ef7314258da275d823487773722ac717888ca629284ef92870b5880fb385f7fb677506d6 SHA512 6f4b963455bdb6a0e0defff92a6b898ee4bdf605c18fef7e25e18e2c72a2ae360d760c2069a0ed330e5dc0f3347f16a9129c405d5c98cd2d56014f8636e7d5b5
diff --git a/dev-python/websocket-client/websocket-client-1.1.0.ebuild b/dev-python/websocket-client/websocket-client-1.1.0.ebuild
new file mode 100644
index 000000000000..15db76ef875a
--- /dev/null
+++ b/dev-python/websocket-client/websocket-client-1.1.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="WebSocket client for python with hybi13 support"
+HOMEPAGE="https://github.com/websocket-client/websocket-client"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
+IUSE="examples"
+
+distutils_enable_tests setup.py
+
+src_prepare() {
+ # Internet
+ sed -i -e 's:testConnect:_&:' websocket/tests/test_http.py || die
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}